WordPress.org

Plugin Directory

Test out the new Plugin Directory and let us know what you think.

WPML to MultilingualPress

Convert posts from an existing WPML multilingual site via WXR Export/Import for MultilingualPress

Note: This plugin requires PHP 5.4 or higher to be activated.

Please note

This plugin is considered a tool for developers and advanced users. It is not a feature plugin for daily use. You can use the plugin, but make a full backup of your entire system and make sure you can role back easily! Please give us feedback if you see problems. The best way for feedback is an issue on the repository on

Checkout our GitHub Repository github.com/inpsyde/wpml2mlp.

At the moment there's a known issue with the scalability which is addressed in the ongoing refactoring. If you're in doubt whether to use the plugin or not, please ask before.

Please note: This is not WPML! We are not the developer of WPML itself and thus we can't provide any kind of support for WPML.

What and why?

If a WordPress site is translated with the WPML Plugin, each translated entry is stored as a separate posts and some custom tables are used to connect the translations. Now if you de-activate the WPML Plugin or have issues with functionality related to version updates, you get a WordPress site with multilingual confusion. This plugin migrates all data from WPML and creates a new WordPress network site out of each single language with use of MultilingualPress plugin and also with the possibilty of a Premium Support.

This migration plugin:

  • Converts the WPML translation records to default core posts or post types
  • It creates the relationship about the languages inside the network of the Multisite with the MultilingualPress plugin
  • Helps to export/import your data to your new WPMS site.
  • Use WXR (WordPress eXtended Rss) format as Export file
  • Restores the meta data back to posts and their meta data so that MultilingualPress will recognize all your translations.

MultilingualPress connects multiple sites as language alternatives in a multisite. Use a customizable widget or Nav Menu to link to all sites.

We cannot guarantee free ad hoc support. Please be patient, we are a small team.

How to use

Requires: 4.4 or higher
Compatible up to: 4.7.1
Last Updated: 6 days ago
Active Installs: 40+

Ratings

5 out of 5 stars

Support

2 of 3 support threads in the last two months have been marked resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

1 person says it works.
0 people say it's broken.

100,4,4
100,1,1
100,1,1
100,1,1
100,3,3 100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1